Page MenuHomeFreeBSD

add rt2880 support with etherswitch ip17x driver
ClosedPublic

Authored by yamori813_yahoo.co.jp on Apr 10 2017, 5:12 AM.

Details

Summary

Add oldest Ralink MIPS SOC RT2880 support code. Target module have ic plus etherswitch ip175c. Also add etherswitch support code on rt driver.

This code relation D10295 review that is fdt away etherswitch patch.

This is dmesg.

https://gist.github.com/yamori813/ebb3147d78b6c375dfe12f782f6308f8

Test Plan

on MZK-W04N-XX and ther RT/MT Device

Diff Detail

Repository
rS FreeBSD src repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

  • add kernel build conf file
adrian accepted this revision.Apr 12 2017, 12:44 AM
This revision is now accepted and ready to land.Apr 12 2017, 12:44 AM
mizhka_gmail.com accepted this revision.Apr 13 2017, 3:14 PM

Generally speaking, I'm happy with patch. The only thing I worry is CD9660 image (inspired by ZRouter) vs. UFS1 zipped image (inspired by freebsd-wifi-build). This patch is based on CD9660 and it can be committed, but in future it will be nice to support both image types.

yamori813_yahoo.co.jp updated this revision to Diff 27452.
  • same componet other mediatek config to avoid confusion
This revision now requires review to proceed.Apr 15 2017, 6:28 AM
This revision was automatically updated to reflect the committed changes.